import es
import popuplib
import weaponlib
import playerlib
import random
import gamethread

###################Config#############################
cvar_tbet = 1		#Duerfen Terrors wetten?         #  
cvar_ctbet = 1 	#Duerfen Counterterroristen wetten?  #
######################################################

info = es.AddonInfo()
info.name        = "Waffen-Lotto"
info.version     = "1.0"
info.author      = "o.Zone Julius"
info.basename    = "waffenlotto"
info.description = "Ein Menu dass Waffen verlost"
version_variable = "waffenlotto"

def load():
	es.msg('Waffen-Lotto wurde geladen!')
	
	lottopopup = popuplib.create('lotto')
	lottopopup.addline ('-----Waffen-Lotto-----')
	lottopopup.addline ('------------------------')
	lottopopup.addline ('->1. Auf Gewehr setzen')
	lottopopup.addline ('Kommando: !gewehr')
	lottopopup.addline ('Kosten: 2000$')
	lottopopup.addline ('------------------------')
	lottopopup.addline ('->2. Auf Pistole setzen')
	lottopopup.addline ('Kommando: !pistole')
	lottopopup.addline ('Kosten: 500$')
	lottopopup.addline ('------------------------')
	lottopopup.addline ('->3. Auf Granate setzen')
	lottopopup.addline ('Kommando: !granate')
	lottopopup.addline ('Kosten: 200$')
	lottopopup.addline ('------------------------')
	lottopopup.addline ('------------------------')
	lottopopup.addline ('->4. Regeln')
	lottopopup.addline ('->5. Infos')
	lottopopup.addline ('------------------------')
	lottopopup.addline ('->0. Schliessen')	
	lottopopup.submenu (4, "regeln")
	lottopopup.submenu (5, "credits")
	lottopopup.menuselect = lotto
	
	infopopup = popuplib.create('credits')
	infopopup.addline ('--------------------------')
	infopopup.addline ('----------INFO----------')
	infopopup.addline ('--------------------------')
	infopopup.addline ('Script geschrieben von')
	infopopup.addline ('------oZone Julius------')
	infopopup.addline ('--------------------------')	
	infopopup.addline ('Vielen Dank an Santa')		
	infopopup.addline ('--------------------------')
	infopopup.addline ('Version: %s' % info.version)
	infopopup.addline ('--------------------------')	
	infopopup.addline ('->8. Zurueck')
	infopopup.addline ('->0. Schliessen')
	infopopup.submenu (8, "lotto")
	
	regelnpopup = popuplib.create('regeln')
	regelnpopup.addline ('-------------------------------------')
	regelnpopup.addline ('---------------Regeln---------------')
	regelnpopup.addline ('-------------------------------------')
	regelnpopup.addline ('Dieses Menu verlost Waffen,')
	regelnpopup.addline ('Lose kannst du fuer wenig Geld kaufen')
	regelnpopup.addline ('und grossen Gewinn machen!')	
	regelnpopup.addline ('-------------------------------------')
	regelnpopup.addline ('->8. Zurueck')
	regelnpopup.addline ('->0. Schliessen')
	regelnpopup.submenu (8, "lotto")	
		
def lotto(userid, choice, popupid):
	if choice == 1:
				es.sexec (userid, 'say "!gewehr"')		
	if choice == 2:
				es.sexec (userid, 'say "!pistole"')		
	if choice == 3:
				es.sexec (userid, 'say "!granate"')
				
def player_say(ev):
	userid = ev['userid']
	if ev['text'] == '!lotto':
		popuplib.send('lotto', userid)
	team = int(es.getplayerteam(ev['userid']))
	if ev['text'] == '!gewehr':
		if team == 2:
			if cvar_tbet == 1:
				userid = ev['userid']
				if int(es.getplayerprop(userid, "CCSPlayer.m_iAccount")) >= 2000:
					myPlayer = playerlib.getPlayer(userid)
					money = int(es.getplayerprop(userid, "CCSPlayer.m_iAccount"))
					es.setplayerprop(userid, "CCSPlayer.m_iAccount", money - 2000)
					randgun = random.randint(1, 18)
					if randgun == 1:
						if not myPlayer.get('primary'):
							es.server.queuecmd("es_give %s weapon_ak47" % userid)
							es.tell(ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenAK47 #defaultgewonnen!')
							
						if myPlayer.get('primary'):
							gamethread.delayed(1, es.server.queuecmd, ('est_dropweapon %s 1' % ev['userid']))
							gamethread.delayed(2, es.server.queuecmd, ("es_give %s weapon_ak47" % userid))
							gamethread.delayed(2, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenAK47 #defaultgewonnen!'))
					if randgun == 2:
						if not myPlayer.get('primary'):
							es.server.queuecmd("es_give %s weapon_scout" % userid)
							es.tell(ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenScout #defaultgewonnen!')
							
						if myPlayer.get('primary'):
							gamethread.delayed(1, es.server.queuecmd, ('est_dropweapon %s 1' % ev['userid']))
							gamethread.delayed(2, es.server.queuecmd, ("es_give %s weapon_scout" % userid))
							gamethread.delayed(2, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenScout #defaultgewonnen!'))
					if randgun == 3:
						if not myPlayer.get('primary'):
							es.server.queuecmd("es_give %s weapon_aug" % userid)
							es.tell(ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenAug #defaultgewonnen!')
							
						if myPlayer.get('primary'):
							gamethread.delayed(1, es.server.queuecmd, ('est_dropweapon %s 1' % ev['userid']))
							gamethread.delayed(2, es.server.queuecmd, ("es_give %s weapon_aug" % userid))
							gamethread.delayed(2, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenAug #defaultgewonnen!'))
					if randgun == 4:
						if not myPlayer.get('primary'):
							es.server.queuecmd("es_give %s weapon_g3sg1" % userid)
							es.tell(ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenG3SG1 #defaultgewonnen!')
							
						if myPlayer.get('primary'):
							gamethread.delayed(1, es.server.queuecmd, ('est_dropweapon %s 1' % ev['userid']))
							gamethread.delayed(2, es.server.queuecmd, ("es_give %s weapon_g3sg1" % userid))
							gamethread.delayed(2, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenG3SG1 #defaultgewonnen!'))
					if randgun == 5:
						if not myPlayer.get('primary'):
							es.server.queuecmd("es_give %s weapon_galil" % userid)
							es.tell(ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenGalil #defaultgewonnen!')
							
						if myPlayer.getPrimary() == ('weapon_%s' % ev['item']):
							gamethread.delayed(1, es.server.queuecmd, ('est_dropweapon %s 1' % ev['userid']))
							gamethread.delayed(2, es.server.queuecmd, ("es_give %s weapon_galil" % userid))
							gamethread.delayed(2, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenGalil #defaultgewonnen!'))
					if randgun == 6:
						if not myPlayer.get('primary'):
							es.server.queuecmd("es_give %s weapon_famas" % userid)
							es.tell(ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenFamas #defaultgewonnen!')
							
						if myPlayer.getPrimary() == ('weapon_%s' % ev['item']):
							gamethread.delayed(1, es.server.queuecmd, ('est_dropweapon %s 1' % ev['userid']))
							gamethread.delayed(2, es.server.queuecmd, ("es_give %s weapon_famas" % userid))
							gamethread.delayed(2, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenFamas #defaultgewonnen!'))
					if randgun == 7:
						if not myPlayer.get('primary'):
							es.server.queuecmd("es_give %s weapon_m4a1" % userid)
							es.tell(ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenM4A1 #defaultgewonnen!')
							
						if myPlayer.get('primary'):
							gamethread.delayed(1, es.server.queuecmd, ('est_dropweapon %s 1' % ev['userid']))
							gamethread.delayed(2, es.server.queuecmd, ("es_give %s weapon_m4a1" % userid))
							gamethread.delayed(2, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenM4A1 #defaultgewonnen!'))
					if randgun == 8:
						if not myPlayer.get('primary'):
							es.server.queuecmd("es_give %s weapon_sg552" % userid)
							es.tell(ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenSG552 #defaultgewonnen!')
							
						if myPlayer.get('primary'):
							gamethread.delayed(1, es.server.queuecmd, ('est_dropweapon %s 1' % ev['userid']))
							gamethread.delayed(2, es.server.queuecmd, ("es_give %s weapon_sg552" % userid))
							gamethread.delayed(2, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenSG552 #defaultgewonnen!'))
					if randgun == 9:
						if not myPlayer.get('primary'):
							es.server.queuecmd("es_give %s weapon_sg550" % userid)
							es.tell(ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenSG550 #defaultgewonnen!')
							
						if myPlayer.get('primary'):
							gamethread.delayed(1, es.server.queuecmd, ('est_dropweapon %s 1' % ev['userid']))
							gamethread.delayed(2, es.server.queuecmd, ("es_give %s weapon_sg550" % userid))
							gamethread.delayed(2, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenSG550 #defaultgewonnen!'))
					if randgun == 10:
						if not myPlayer.get('primary'):
							es.server.queuecmd("es_give %s weapon_m249" % userid)
							es.tell(ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenM249 #defaultgewonnen!')
							
						if myPlayer.get('primary'):
							gamethread.delayed(1, es.server.queuecmd, ('est_dropweapon %s 1' % ev['userid']))
							gamethread.delayed(2, es.server.queuecmd, ("es_give %s weapon_m249" % userid))
							gamethread.delayed(2, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenM249 #defaultgewonnen!'))
					if randgun == 11:
						if not myPlayer.get('primary'):
							es.server.queuecmd("es_give %s weapon_awp" % userid)
							es.tell(ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenAWP #defaultgewonnen!')
							
						if myPlayer.get('primary'):
							gamethread.delayed(1, es.server.queuecmd, ('est_dropweapon %s 1' % ev['userid']))
							gamethread.delayed(2, es.server.queuecmd, ("es_give %s weapon_awp" % userid))
							gamethread.delayed(2, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenAWP #defaultgewonnen!'))
					if randgun == 12:
						if not myPlayer.get('primary'):
							es.server.queuecmd("es_give %s weapon_tmp" % userid)
							es.tell(ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenTMP #defaultgewonnen!')
							
						if myPlayer.get('primary'):
							gamethread.delayed(1, es.server.queuecmd, ('est_dropweapon %s 1' % ev['userid']))
							gamethread.delayed(2, es.server.queuecmd, ("es_give %s weapon_tmp" % userid))
							gamethread.delayed(2, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenTMP #defaultgewonnen!'))
					if randgun == 13:
						if not myPlayer.get('primary'):
							es.server.queuecmd("es_give %s weapon_mp5navy" % userid)
							es.tell(ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenMP5Navy #defaultgewonnen!')
							
						if myPlayer.get('primary'):
							gamethread.delayed(1, es.server.queuecmd, ('est_dropweapon %s 1' % ev['userid']))
							gamethread.delayed(2, es.server.queuecmd, ("es_give %s weapon_mp5navy" % userid))
							gamethread.delayed(2, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenMP5Navy #defaultgewonnen!'))
					if randgun == 14:
						if not myPlayer.get('primary'):
							es.server.queuecmd("es_give %s weapon_m3" % userid)
							es.tell(ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenM3 #defaultgewonnen!')
							
						if myPlayer.get('primary'):
							gamethread.delayed(1, es.server.queuecmd, ('est_dropweapon %s 1' % ev['userid']))
							gamethread.delayed(2, es.server.queuecmd, ("es_give %s weapon_m3" % userid))
							gamethread.delayed(2, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenM3 #defaultgewonnen!'))
					if randgun == 15:
						if not myPlayer.get('primary'):
							es.server.queuecmd("es_give %s weapon_xm1014" % userid)
							es.tell(ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenXM1014 #defaultgewonnen!')
							
						if myPlayer.get('primary'):
							gamethread.delayed(1, es.server.queuecmd, ('est_dropweapon %s 1' % ev['userid']))
							gamethread.delayed(2, es.server.queuecmd, ("es_give %s weapon_xm1014" % userid))
							gamethread.delayed(2, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenXM1014 #defaultgewonnen!'))
					if randgun == 16:
						if not myPlayer.get('primary'):
							es.server.queuecmd("es_give %s weapon_mac10" % userid)
							es.tell(ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenMAC10 #defaultgewonnen!')
							
						if myPlayer.get('primary'):
							gamethread.delayed(1, es.server.queuecmd, ('est_dropweapon %s 1' % ev['userid']))
							gamethread.delayed(2, es.server.queuecmd, ("es_give %s weapon_mac10" % userid))
							gamethread.delayed(2, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenMAC10 #defaultgewonnen!'))
					if randgun == 17:
						if not myPlayer.get('primary'):
							es.server.queuecmd("es_give %s weapon_ump45" % userid)
							es.tell(ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenUMP45 #defaultgewonnen!')
							
						if myPlayer.get('primary'):
							gamethread.delayed(1, es.server.queuecmd, ('est_dropweapon %s 1' % ev['userid']))
							gamethread.delayed(2, es.server.queuecmd, ("es_give %s weapon_ump45" % userid))
							gamethread.delayed(2, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenUMP45 #defaultgewonnen!'))
					if randgun == 18:
						if not myPlayer.get('primary'):
							es.server.queuecmd("es_give %s weapon_p90" % userid)
							es.tell(ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenP90 #defaultgewonnen!')
							
						if myPlayer.get('primary'):
							gamethread.delayed(1, es.server.queuecmd, ('est_dropweapon %s 1' % ev['userid']))
							gamethread.delayed(2, es.server.queuecmd, ("es_give %s weapon_p90" % userid))
							gamethread.delayed(2, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenP90 #defaultgewonnen!'))
				else:
					es.tell(userid, '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenUm auf ein Gewehr zu setzen, brauchst du #green2000$#default!')
			else:
				es.tell(userid, '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenTerroristen #defaultduerfen nicht wetten!')
		
		elif team == 3:
			if cvar_ctbet == 1:
				if int(es.getplayerprop(userid, "CCSPlayer.m_iAccount")) >= 2000:
					myPlayer = playerlib.getPlayer(userid)
					money = int(es.getplayerprop(userid, "CCSPlayer.m_iAccount"))
					es.setplayerprop(userid, "CCSPlayer.m_iAccount", money - 2000)
					randgun = random.randint(1, 18)
					if randgun == 1:
						if not myPlayer.get('primary'):
							es.server.queuecmd("es_give %s weapon_ak47" % userid)
							es.tell(ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenAK47 #defaultgewonnen!')
							
						if myPlayer.get('primary'):
							gamethread.delayed(1, es.server.queuecmd, ('est_dropweapon %s 1' % ev['userid']))
							gamethread.delayed(2, es.server.queuecmd, ("es_give %s weapon_ak47" % userid))
							gamethread.delayed(2, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenAK47 #defaultgewonnen!'))
					if randgun == 2:
						if not myPlayer.get('primary'):
							es.server.queuecmd("es_give %s weapon_scout" % userid)
							es.tell(ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenScout #defaultgewonnen!')
							
						if myPlayer.get('primary'):
							gamethread.delayed(1, es.server.queuecmd, ('est_dropweapon %s 1' % ev['userid']))
							gamethread.delayed(2, es.server.queuecmd, ("es_give %s weapon_scout" % userid))
							gamethread.delayed(2, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenScout #defaultgewonnen!'))
					if randgun == 3:
						if not myPlayer.get('primary'):
							es.server.queuecmd("es_give %s weapon_aug" % userid)
							es.tell(ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenAug #defaultgewonnen!')
							
						if myPlayer.get('primary'):
							gamethread.delayed(1, es.server.queuecmd, ('est_dropweapon %s 1' % ev['userid']))
							gamethread.delayed(2, es.server.queuecmd, ("es_give %s weapon_aug" % userid))
							gamethread.delayed(2, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenAug #defaultgewonnen!'))
					if randgun == 4:
						if not myPlayer.get('primary'):
							es.server.queuecmd("es_give %s weapon_g3sg1" % userid)
							es.tell(ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenG3SG1 #defaultgewonnen!')
							
						if myPlayer.get('primary'):
							gamethread.delayed(1, es.server.queuecmd, ('est_dropweapon %s 1' % ev['userid']))
							gamethread.delayed(2, es.server.queuecmd, ("es_give %s weapon_g3sg1" % userid))
							gamethread.delayed(2, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenG3SG1 #defaultgewonnen!'))
					if randgun == 5:
						if not myPlayer.get('primary'):
							es.server.queuecmd("es_give %s weapon_galil" % userid)
							es.tell(ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenGalil #defaultgewonnen!')
							
						if myPlayer.getPrimary() == ('weapon_%s' % ev['item']):
							gamethread.delayed(1, es.server.queuecmd, ('est_dropweapon %s 1' % ev['userid']))
							gamethread.delayed(2, es.server.queuecmd, ("es_give %s weapon_galil" % userid))
							gamethread.delayed(2, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenGalil #defaultgewonnen!'))
					if randgun == 6:
						if not myPlayer.get('primary'):
							es.server.queuecmd("es_give %s weapon_famas" % userid)
							es.tell(ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenFamas #defaultgewonnen!')
							
						if myPlayer.getPrimary() == ('weapon_%s' % ev['item']):
							gamethread.delayed(1, es.server.queuecmd, ('est_dropweapon %s 1' % ev['userid']))
							gamethread.delayed(2, es.server.queuecmd, ("es_give %s weapon_famas" % userid))
							gamethread.delayed(2, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenFamas #defaultgewonnen!'))
					if randgun == 7:
						if not myPlayer.get('primary'):
							es.server.queuecmd("es_give %s weapon_m4a1" % userid)
							es.tell(ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenM4A1 #defaultgewonnen!')
							
						if myPlayer.get('primary'):
							gamethread.delayed(1, es.server.queuecmd, ('est_dropweapon %s 1' % ev['userid']))
							gamethread.delayed(2, es.server.queuecmd, ("es_give %s weapon_m4a1" % userid))
							gamethread.delayed(2, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenM4A1 #defaultgewonnen!'))
					if randgun == 8:
						if not myPlayer.get('primary'):
							es.server.queuecmd("es_give %s weapon_sg552" % userid)
							es.tell(ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenSG552 #defaultgewonnen!')
							
						if myPlayer.get('primary'):
							gamethread.delayed(1, es.server.queuecmd, ('est_dropweapon %s 1' % ev['userid']))
							gamethread.delayed(2, es.server.queuecmd, ("es_give %s weapon_sg552" % userid))
							gamethread.delayed(2, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenSG552 #defaultgewonnen!'))
					if randgun == 9:
						if not myPlayer.get('primary'):
							es.server.queuecmd("es_give %s weapon_sg550" % userid)
							es.tell(ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenSG550 #defaultgewonnen!')
							
						if myPlayer.get('primary'):
							gamethread.delayed(1, es.server.queuecmd, ('est_dropweapon %s 1' % ev['userid']))
							gamethread.delayed(2, es.server.queuecmd, ("es_give %s weapon_sg550" % userid))
							gamethread.delayed(2, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenSG550 #defaultgewonnen!'))
					if randgun == 10:
						if not myPlayer.get('primary'):
							es.server.queuecmd("es_give %s weapon_m249" % userid)
							es.tell(ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenM249 #defaultgewonnen!')
							
						if myPlayer.get('primary'):
							gamethread.delayed(1, es.server.queuecmd, ('est_dropweapon %s 1' % ev['userid']))
							gamethread.delayed(2, es.server.queuecmd, ("es_give %s weapon_m249" % userid))
							gamethread.delayed(2, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenM249 #defaultgewonnen!'))
					if randgun == 11:
						if not myPlayer.get('primary'):
							es.server.queuecmd("es_give %s weapon_awp" % userid)
							es.tell(ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenAWP #defaultgewonnen!')
							
						if myPlayer.get('primary'):
							gamethread.delayed(1, es.server.queuecmd, ('est_dropweapon %s 1' % ev['userid']))
							gamethread.delayed(2, es.server.queuecmd, ("es_give %s weapon_awp" % userid))
							gamethread.delayed(2, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenAWP #defaultgewonnen!'))
					if randgun == 12:
						if not myPlayer.get('primary'):
							es.server.queuecmd("es_give %s weapon_tmp" % userid)
							es.tell(ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenTMP #defaultgewonnen!')
							
						if myPlayer.get('primary'):
							gamethread.delayed(1, es.server.queuecmd, ('est_dropweapon %s 1' % ev['userid']))
							gamethread.delayed(2, es.server.queuecmd, ("es_give %s weapon_tmp" % userid))
							gamethread.delayed(2, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenTMP #defaultgewonnen!'))
					if randgun == 13:
						if not myPlayer.get('primary'):
							es.server.queuecmd("es_give %s weapon_mp5navy" % userid)
							es.tell(ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenMP5Navy #defaultgewonnen!')
							
						if myPlayer.get('primary'):
							gamethread.delayed(1, es.server.queuecmd, ('est_dropweapon %s 1' % ev['userid']))
							gamethread.delayed(2, es.server.queuecmd, ("es_give %s weapon_mp5navy" % userid))
							gamethread.delayed(2, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenMP5Navy #defaultgewonnen!'))
					if randgun == 14:
						if not myPlayer.get('primary'):
							es.server.queuecmd("es_give %s weapon_m3" % userid)
							es.tell(ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenM3 #defaultgewonnen!')
							
						if myPlayer.get('primary'):
							gamethread.delayed(1, es.server.queuecmd, ('est_dropweapon %s 1' % ev['userid']))
							gamethread.delayed(2, es.server.queuecmd, ("es_give %s weapon_m3" % userid))
							gamethread.delayed(2, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenM3 #defaultgewonnen!'))
					if randgun == 15:
						if not myPlayer.get('primary'):
							es.server.queuecmd("es_give %s weapon_xm1014" % userid)
							es.tell(ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenXM1014 #defaultgewonnen!')
							
						if myPlayer.get('primary'):
							gamethread.delayed(1, es.server.queuecmd, ('est_dropweapon %s 1' % ev['userid']))
							gamethread.delayed(2, es.server.queuecmd, ("es_give %s weapon_xm1014" % userid))
							gamethread.delayed(2, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenXM1014 #defaultgewonnen!'))
					if randgun == 16:
						if not myPlayer.get('primary'):
							es.server.queuecmd("es_give %s weapon_mac10" % userid)
							es.tell(ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenMAC10 #defaultgewonnen!')
							
						if myPlayer.get('primary'):
							gamethread.delayed(1, es.server.queuecmd, ('est_dropweapon %s 1' % ev['userid']))
							gamethread.delayed(2, es.server.queuecmd, ("es_give %s weapon_mac10" % userid))
							gamethread.delayed(2, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenMAC10 #defaultgewonnen!'))
					if randgun == 17:
						if not myPlayer.get('primary'):
							es.server.queuecmd("es_give %s weapon_ump45" % userid)
							es.tell(ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenUMP45 #defaultgewonnen!')
							
						if myPlayer.get('primary'):
							gamethread.delayed(1, es.server.queuecmd, ('est_dropweapon %s 1' % ev['userid']))
							gamethread.delayed(2, es.server.queuecmd, ("es_give %s weapon_ump45" % userid))
							gamethread.delayed(2, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenUMP45 #defaultgewonnen!'))
					if randgun == 18:
						if not myPlayer.get('primary'):
							es.server.queuecmd("es_give %s weapon_p90" % userid)
							es.tell(ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenP90 #defaultgewonnen!')
							
						if myPlayer.get('primary'):
							gamethread.delayed(1, es.server.queuecmd, ('est_dropweapon %s 1' % ev['userid']))
							gamethread.delayed(2, es.server.queuecmd, ("es_give %s weapon_p90" % userid))
							gamethread.delayed(2, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenP90 #defaultgewonnen!'))
				else:
					es.tell(userid, '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenUm auf ein Gewehr zu setzen, brauchst du #green2000$#default!')
			else:
				es.tell(userid, '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenAntiterroristen #defaultduerfen nicht wetten!')

	if ev['text'] == '!pistole':			
		if team == 2:
			if cvar_tbet == 1:
				if int(es.getplayerprop(userid, "CCSPlayer.m_iAccount")) >= 500:
					myPlayer = playerlib.getPlayer(userid)
					money = int(es.getplayerprop(userid, "CCSPlayer.m_iAccount"))
					es.setplayerprop(userid, "CCSPlayer.m_iAccount", money - 500)
					randpistol = random.randint(1, 6)
					if randpistol == 1:
						if not myPlayer.get('secondary'):
							es.server.queuecmd("es_give %s weapon_deagle" % userid)
							es.tell(ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenDeagle #defaultgewonnen!')
							
						if myPlayer.get('secondary'):
							gamethread.delayed(1, es.server.queuecmd, ('est_dropweapon %s 2' % ev['userid']))
							gamethread.delayed(2, es.server.queuecmd, ("es_give %s weapon_deagle" % userid))
							gamethread.delayed(2, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenDeagle #defaultgewonnen!'))
					if randpistol == 2:
						if not myPlayer.get('secondary'):
							es.server.queuecmd("es_give %s weapon_glock" % userid)
							es.tell(ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenGlock #defaultgewonnen!')
							
						if myPlayer.get('secondary'):
							gamethread.delayed(1, es.server.queuecmd, ('est_dropweapon %s 2' % ev['userid']))
							gamethread.delayed(2, es.server.queuecmd, ("es_give %s weapon_glock" % userid))
							gamethread.delayed(2, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenGlock #defaultgewonnen!'))
					if randpistol == 3:
						if not myPlayer.get('secondary'):
							es.server.queuecmd("es_give %s weapon_elite" % userid)
							es.tell(ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenElite #defaultgewonnen!')
							
						if myPlayer.get('secondary'):
							gamethread.delayed(1, es.server.queuecmd, ('est_dropweapon %s 2' % ev['userid']))
							gamethread.delayed(2, es.server.queuecmd, ("es_give %s weapon_elite" % userid))
							gamethread.delayed(2, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenElite #defaultgewonnen!'))
					if randpistol == 4:
						if not myPlayer.get('secondary'):
							es.server.queuecmd("es_give %s weapon_usp" % userid)
							es.tell(ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenUSP #defaultgewonnen!')
							
						if myPlayer.get('secondary'):
							gamethread.delayed(1, es.server.queuecmd, ('est_dropweapon %s 2' % ev['userid']))
							gamethread.delayed(2, es.server.queuecmd, ("es_give %s weapon_usp" % userid))
							gamethread.delayed(2, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenUSP #defaultgewonnen!'))
					if randpistol == 5:
						if not myPlayer.get('secondary'):
							es.server.queuecmd("es_give %s weapon_p228" % userid)
							es.tell(ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenP228 #defaultgewonnen!')
							
						if myPlayer.get('secondary'):
							gamethread.delayed(1, es.server.queuecmd, ('est_dropweapon %s 2' % ev['userid']))
							gamethread.delayed(2, es.server.queuecmd, ("es_give %s weapon_p228" % userid))
							gamethread.delayed(2, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenP228 #defaultgewonnen!'))
					if randpistol == 6:
						if not myPlayer.get('secondary'):
							es.server.queuecmd("es_give %s weapon_fiveseven" % userid)
							es.tell(ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenFiveSeven #defaultgewonnen!')
							
						if myPlayer.get('secondary'):
							gamethread.delayed(1, es.server.queuecmd, ('est_dropweapon %s 2' % ev['userid']))
							gamethread.delayed(2, es.server.queuecmd, ("es_give %s weapon_fiveseven" % userid))
							gamethread.delayed(2, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenFiveSeven #defaultgewonnen!'))
				else:
					es.tell(userid, '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenUm auf eine Pistole zu setzen, brauchst du #green500$#default!')
			else:
				es.tell(userid, '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenTerroristen #defaultduerfen nicht wetten!')
				
		elif team == 3:
			if cvar_ctbet == 1:
				if int(es.getplayerprop(userid, "CCSPlayer.m_iAccount")) >= 500:
					myPlayer = playerlib.getPlayer(userid)
					money = int(es.getplayerprop(userid, "CCSPlayer.m_iAccount"))
					es.setplayerprop(userid, "CCSPlayer.m_iAccount", money - 500)
					randpistol = random.randint(1, 6)
					if randpistol == 1:
						if not myPlayer.get('secondary'):
							es.server.queuecmd("es_give %s weapon_deagle" % userid)
							es.tell(ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenDeagle #defaultgewonnen!')
							
						if myPlayer.get('secondary'):
							gamethread.delayed(1, es.server.queuecmd, ('est_dropweapon %s 2' % ev['userid']))
							gamethread.delayed(2, es.server.queuecmd, ("es_give %s weapon_deagle" % userid))
							gamethread.delayed(2, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenDeagle #defaultgewonnen!'))
					if randpistol == 2:
						if not myPlayer.get('secondary'):
							es.server.queuecmd("es_give %s weapon_glock" % userid)
							es.tell(ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenGlock #defaultgewonnen!')
							
						if myPlayer.get('secondary'):
							gamethread.delayed(1, es.server.queuecmd, ('est_dropweapon %s 2' % ev['userid']))
							gamethread.delayed(2, es.server.queuecmd, ("es_give %s weapon_glock" % userid))
							gamethread.delayed(2, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenGlock #defaultgewonnen!'))
					if randpistol == 3:
						if not myPlayer.get('secondary'):
							es.server.queuecmd("es_give %s weapon_elite" % userid)
							es.tell(ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenElite #defaultgewonnen!')
							
						if myPlayer.get('secondary'):
							gamethread.delayed(1, es.server.queuecmd, ('est_dropweapon %s 2' % ev['userid']))
							gamethread.delayed(2, es.server.queuecmd, ("es_give %s weapon_elite" % userid))
							gamethread.delayed(2, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenElite #defaultgewonnen!'))
					if randpistol == 4:
						if not myPlayer.get('secondary'):
							es.server.queuecmd("es_give %s weapon_usp" % userid)
							es.tell(ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenUSP #defaultgewonnen!')
							
						if myPlayer.get('secondary'):
							gamethread.delayed(1, es.server.queuecmd, ('est_dropweapon %s 2' % ev['userid']))
							gamethread.delayed(2, es.server.queuecmd, ("es_give %s weapon_usp" % userid))
							gamethread.delayed(2, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenUSP #defaultgewonnen!'))
					if randpistol == 5:
						if not myPlayer.get('secondary'):
							es.server.queuecmd("es_give %s weapon_p228" % userid)
							es.tell(ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenP228 #defaultgewonnen!')
							
						if myPlayer.get('secondary'):
							gamethread.delayed(1, es.server.queuecmd, ('est_dropweapon %s 2' % ev['userid']))
							gamethread.delayed(2, es.server.queuecmd, ("es_give %s weapon_p228" % userid))
							gamethread.delayed(2, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenP228 #defaultgewonnen!'))
					if randpistol == 6:
						if not myPlayer.get('secondary'):
							es.server.queuecmd("es_give %s weapon_fiveseven" % userid)
							es.tell(ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenFiveSeven #defaultgewonnen!')
							
						if myPlayer.get('secondary'):
							gamethread.delayed(1, es.server.queuecmd, ('est_dropweapon %s 2' % ev['userid']))
							gamethread.delayed(2, es.server.queuecmd, ("es_give %s weapon_fiveseven" % userid))
							gamethread.delayed(2, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenFiveSeven #defaultgewonnen!'))
				else:
					es.tell(userid, '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenUm auf eine Pistole zu setzen, brauchst du #green500$#default!')
			else:
				es.tell(userid, '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenAntiterroristen #defaultduerfen nicht wetten!')
				
	if ev['text'] == '!granate':			
		if team == 2:
			if cvar_tbet == 1:	
				if int(es.getplayerprop(userid, "CCSPlayer.m_iAccount")) >= 200:
					myPlayer = playerlib.getPlayer(userid)
					money = int(es.getplayerprop(userid, "CCSPlayer.m_iAccount"))
					es.setplayerprop(userid, "CCSPlayer.m_iAccount", money - 200)
					randnade = random.randint(1, 3)
					if randnade == 1:
						es.server.queuecmd("es_give %s weapon_hegrenade" % userid)
						es.tell(userid, '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenSplittergranate #defaultgewonnen!')
			
					if randnade == 2:
						es.server.queuecmd("es_give %s weapon_flashbang" % userid)
						es.tell(userid, '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenBlendgranate #defaultgewonnen!')
						
					if randnade == 3:
						es.server.queuecmd("es_give %s weapon_smokegrenade" % userid)
						es.tell(userid, '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenRauchgranate #defaultgewonnen!')
						
				else:
					es.tell(userid, '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenUm auf eine Granate zu setzen, brauchst du #green200$#default!')
			else:
				es.tell(userid, '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenTerroristen #defaultduerfen nicht wetten!')
				
		elif team == 3:
			if cvar_ctbet == 1:
				if int(es.getplayerprop(userid, "CCSPlayer.m_iAccount")) >= 200:
					myPlayer = playerlib.getPlayer(userid)
					money = int(es.getplayerprop(userid, "CCSPlayer.m_iAccount"))
					es.setplayerprop(userid, "CCSPlayer.m_iAccount", money - 200)
					randnade = random.randint(1, 3)
					if randnade == 1:
						es.server.queuecmd("es_give %s weapon_hegrenade" % userid)
						es.tell(userid, '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenSplittergranate #defaultgewonnen!')
					if randnade == 2:
						es.server.queuecmd("es_give %s weapon_flashbang" % userid)
						es.tell(userid, '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenBlendgranate #defaultgewonnen!')
					if randnade == 3:
						es.server.queuecmd("es_give %s weapon_smokegrenade" % userid)
						es.tell(userid, '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenGlueckwunsch #defaultdu hast eine #lightgreenRauchgranate #defaultgewonnen!')
				else:
					es.tell(userid, '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenUm auf eine Granate zu setzen, brauchst du #green200$#default!')
			else:
				es.tell(userid, '#multi', '#green[ #lightgreenWaffen-Lotto #green] #lightgreenAntiterroristen #defaultduerfen nicht wetten!')				
				
def player_spawn(ev):
	es.tell(ev['userid'], '#multi', '#lightgreen[#greenWaffen-Lotto#lightgreen] #defaultSchreibe #lightgreen!lotto #defaultum das Waffenmenu zu oeffnen!')
	
def unload():
	es.msg('Waffen-Lotto wurde deaktiviert!')	